Skip to main content
`Ctrl`+`K`

# MatMFFDRegister

Adds a method to the `MATMFFD` registry.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMFFDRegister(const char sname[], PetscErrorCode (*function)(MatMFFD))

Not Collective, No Fortran Support

## Input Parameters

- sname - name of a new user-defined compute-h module

- function - routine to create method context

## Note

`MatMFFDRegister()` may be called multiple times to add several user-defined solvers.

## Example Usage

       MatMFFDRegister("my_h", MyHCreate);

Then, your solver can be chosen with the procedural interface via `MatMFFDSetType`(mfctx, “my_h”)`or at runtime via the option`-mat_mffd_type my_h`

## See Also

Matrices, `Mat`, `MATMFFD`, `MatMFFDRegisterAll()`, `MatMFFDRegisterDestroy()`

## Level

developer

## Location

src/mat/impls/mffd/mffd.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages